services:
  builder:
    ports:
      - "5174:5173"
    volumes:
      - ./z51-pug-builder/data-dev:/app/data
      - ./z51-pug-builder/src:/app/src
      - ./z51-pug-builder/vite.config.js:/app/vite.config.js
      - ./z51-pug-builder/public/login-bg:/app/public/login-bg

  coin-scout:
    build:
      context: ./coin-scout
    ports:
      - "5180:5180"
    volumes:
      - ./coin-scout/data:/app/data
      - ./coin-scout/server.js:/app/server.js
      - ./coin-scout/coin-writer.js:/app/coin-writer.js
      - ./coin-scout/public:/app/public
